Skip to main content
GET
/
v1
/
sso_connections
List SSO Connections
curl --request GET \
  --url https://api.us.lexful.app/v1/sso_connections \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-ID: <api-key>'
import requests

url = "https://api.us.lexful.app/v1/sso_connections"

headers = {
    "Authorization": "Bearer <token>",
    "X-Account-ID": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'X-Account-ID': '<api-key>'}
};

fetch('https://api.us.lexful.app/v1/sso_connections', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "connection_id": "<string>",
    "name": "<string>",
    "saml_config": {
      "acs_url": "<string>",
      "audience_uri": "<string>",
      "idp_entity_id": "<string>",
      "idp_sso_url": "<string>",
      "x509_certificate": "<string>",
      "attribute_mapping": {}
    },
    "oidc_config": {
      "redirect_url": "<string>",
      "client_id": "<string>",
      "client_secret": "<string>",
      "issuer": "<string>"
    }
  }
]
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Response

Default Response

connection_id
string
required

SSO connection unique identifier

type
enum<string>
required

SSO connection type (SAML or OIDC)

Available options:
saml,
oidc
status
enum<string>
required

SSO connection status

Available options:
active,
inactive,
pending
name
string

Name for the SSO connection

saml_config
object
oidc_config
object